#!/bin/csh

set dirList  = (`getTabCol.tcl -in meta.tab -var DIR_NAME`)
set proc     = (`getTabCol.tcl -in meta.tab -var PROC_FLAG`)
set SIERRA   = (`getTabCol.tcl -in meta.tab -var SIERRA_FLAG`)
set xP0List  = (`getTabCol.tcl -in meta.tab -var XP0`)
set clipList = (`getTabCol.tcl -in meta.tab -var CLIP_THRESH`)
set title    = (`getTabCol.tcl -in meta.tab -var TITLE`)
set origDir  = `pwd`

@ i = 0

foreach d ($dirList)
   @ i++

   cd $d
    set tStr = (`cat title`)
    
if $proc[$i] then
      
	echo $d/ auto-processing
       
	if $xP0List[$i] == 0.0 then
		set xP0 = 'auto'
	else
		set xP0 = $xP0List[$i]	
	endif	
	
	set region = (`getTabCol.tcl -in $origDir/sierra.tab -var REG`)
	echo $region
	
	set base = (`getTabCol.tcl -in $origDir/sierra.tab -var TDN`)
	echo $base
	
	basicSierra.com -in test.fid -ft orig.ft2 -out sierra.ft2 \
	 				-reg $region -tdN $base \
	 				-procArgs -xP0 $xP0 -xEXTX1 -0.75ppm -xEXTXN 4.25ppm  -yP0 90 -xELB 5
	 

	sethdr sierra.ft2 -title $title[$i]

    set maxVal = (`specStat.com -in sierra.ft2 -x1 3% -xn 97% -brief -stat vMaxAbs`)
    set scale  = (`MATH 100.0/$maxVal`)

    nmrPipe -in sierra.ft2 -out sierra.ft2 -ov -inPlace -fn MULT -c $scale 
    #nmrPipe -in sierra.ft2 -out sierra.ft2 -ov   -fn CLIP -below 5.0 -above 5.0 -inside 0.0

    nmrPrintf "%s/%s %s xP0: %.1f Scale: %.3e\n" $d sierra.ft2 $xP0List[$i] $tStr $scale
    $origDir/report2D.com sierra.ft2

    echo ""
    cd $origDir	
    mv -v ~/temp/sierra.ft2 $d

else
	echo $d/ using pre-processed data
	
endif	

   cd $origDir
end
